org.apache.solr.search

## Class ExtendedDismaxQParser.ExtendedDismaxConfiguration

- java.lang.Object
- - org.apache.solr.search.ExtendedDismaxQParser.ExtendedDismaxConfiguration

- Enclosing class:
    ExtendedDismaxQParser

      public class ExtendedDismaxQParser.ExtendedDismaxConfiguration
      extends Object

  Simple container for configuration information used when parsing queries

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<FieldParams>` | `allPhraseFields`
    `protected String` | `altQ`
    `protected String[]` | `boostFuncs`
    `protected String[]` | `boostParams`
    `protected boolean` | `lowercaseOperators`
    `protected String` | `minShouldMatch`
    `protected boolean` | `mmAutoRelax`
    `protected String[]` | `multBoosts`
    `protected int` | `qslop`
    `protected Map<String,Float>` | `queryFields` The field names specified by 'qf' that (most) clauses will be queried against
    `protected SolrParams` | `solrParams`
    `protected boolean` | `stopwords`
    `protected float` | `tiebreaker`
    `protected org.apache.solr.search.ExtendedDismaxQParser.UserFields` | `userFields` The field names specified by 'uf' that users are allowed to include literally in their query string.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDismaxConfiguration(SolrParams localParams, SolrParams params, SolrQueryRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FieldParams>` | `getAllPhraseFields()`
    `boolean` | `hasBoostFunctions()`
    `boolean` | `hasBoostParams()`
    `boolean` | `hasMultiplicativeBoosts()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryFields

          protected Map<String,Float> queryFields

      The field names specified by 'qf' that (most) clauses will be queried against

    - #### userFields

          protected org.apache.solr.search.ExtendedDismaxQParser.UserFields userFields

      The field names specified by 'uf' that users are allowed to include literally in their query string. The Float boost values will be applied automatically to any clause using that field name. '*' will be treated as an alias for any field that exists in the schema. Wildcards are allowed to express dynamicFields.

    - #### boostParams

          protected String[] boostParams

    - #### multBoosts

          protected String[] multBoosts

    - #### solrParams

          protected SolrParams solrParams

    - #### minShouldMatch

          protected String minShouldMatch

    - #### allPhraseFields

          protected List<FieldParams> allPhraseFields

    - #### tiebreaker

          protected float tiebreaker

    - #### qslop

          protected int qslop

    - #### stopwords

          protected boolean stopwords

    - #### mmAutoRelax

          protected boolean mmAutoRelax

    - #### altQ

          protected String altQ

    - #### lowercaseOperators

          protected boolean lowercaseOperators

    - #### boostFuncs

          protected String[] boostFuncs

  - ### Constructor Detail

    - #### ExtendedDismaxConfiguration

          public ExtendedDismaxConfiguration(SolrParams localParams,
                                             SolrParams params,
                                             SolrQueryRequest req)

  - ### Method Detail

    - #### hasMultiplicativeBoosts

          public boolean hasMultiplicativeBoosts()

      Returns:
        true if there are valid multiplicative boost queries

    - #### hasBoostFunctions

          public boolean hasBoostFunctions()

      Returns:
        true if there are valid boost functions

    - #### hasBoostParams

          public boolean hasBoostParams()

      Returns:
        true if there are valid boost params

    - #### getAllPhraseFields

          public List<FieldParams> getAllPhraseFields()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.